curl --request GET \
--url https://api.paygentic.io/v0/billableMetrics/{id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/billableMetrics/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/billableMetrics/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"billableMetricId": "<string>",
"events": [
{
"id": "<string>",
"object": "meterEvent",
"type": "<string>",
"source": "<string>",
"subject": "<string>",
"time": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"data": {},
"externalId": "<string>",
"externalSubject": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}List Meter Events
List raw underlying events for a billable metric from the metering service. Returns events ordered by time descending.
Authorizations
API key authentication
Path Parameters
Unique identifier for a billable metric
^bm_[a-zA-Z0-9]+$Query Parameters
Start of query window (ISO 8601)
End of query window (ISO 8601)
Filter by subject (typically the customer/user ID)
Maximum number of events to return
1 <= x <= 200Number of events to skip
x >= 0Filter by external identifier. Alphanumeric characters, hyphens, and underscores only. Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.
255^[a-zA-Z0-9_-]+$Filter by the merchant's own customer identifier the event was reported with. Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.
255^[a-zA-Z0-9_-]+$Response
Raw events list
Was this page helpful?